<div class="summary">
    <div class="card mt-5 m-2">
        <div class="card-header p-4">
            <h4 class="text-center">Self-Assessment Questionnaire (SAQ) Review Summary</h4>
        </div>
        <div class="card-body">
            <div *ngIf="reviewResponse?.length">
                <div class="m-4"><h6>Section 2: Self Assessment Questionnaire D for Service Providers</h6></div>
                <div class="mt-4">
                    <table class="show-in-des table custom-table-striped p-4">
                        <thead>
                        <tr>
                            <th><label>Requirement#</label></th>
                            <th><label>Question#</label></th>
                            <th class="w-25"><label>Question</label></th>
                            <th class="w-25"><label>Comments</label></th>
                            <th class="w-25"><label>Action</label></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr *ngFor="let review of reviewResponse">
                            <td>{{review.saqQuestion.pcidssRequirementId.requirementNumber}}</td>
                            <td>{{review.saqQuestion.questionNumber}}</td>
                            <td class="popover-content">
                            <span class="popover-display"
                                  [ngbPopover]="questionTemplate"
                                  container="body" popoverTitle="Question" placement="top"
                                  triggers="mouseenter:mouseleave">
                                <span [innerHTML]="review.saqQuestion.questionText"></span>
                            </span>
                            </td>
                            <td class="popover-content">
                            <span class="popover-display" [ngbPopover]="popTemplate"
                                  container="body" popoverTitle="Comment" placement="top"
                                  triggers="mouseenter:mouseleave">
                                <span>{{review.comments[review.comments.length-1]?.comment}}</span>
                            </span>
                            </td>
                            <td>
                                <jhi-button (click)="goToQuestion(review)" summary-edit>Edit</jhi-button>
                            </td>
                            <ng-template #questionTemplate>
                                <span [innerHTML]="review.saqQuestion.questionText"></span>
                            </ng-template>
                            <ng-template #popTemplate>
                                <ul *ngFor="let comments of review.comments">
                                    <li>{{comments.comment}}</li>
                                </ul>
                            </ng-template>
                        </tr>
                        </tbody>
                    </table>
                    <div class="show-in-mob p-2">
                        <div class="shadow-view" *ngFor="let review of reviewResponse">
                            <div class="d-flex">
                                <div class="col-6"><label>Requirement#</label>&nbsp;
                                </div>
                                <div class="col-6 pr-3">{{review.saqQuestion.pcidssRequirementId.requirementNumber}}
                                </div>
                            </div>
                            <div class="d-flex">
                                <div class="col-6"><label>Question#</label>&nbsp;
                                </div>
                                <div class="col-6 pr-3">{{review.saqQuestion.questionNumber}}4</div>
                            </div>
                            <div class="d-flex">
                                <div class="col-6"><label>Question</label>&nbsp;
                                </div>
                                <div class="col-6 p-0 popover-content">
                                <span class="popover-display" container="body"
                                      [ngbPopover]="questionTemplate"
                                      popoverTitle="Question" placement="top"
                                      triggers="mouseenter:mouseleave">
                                    <span [innerHTML]="review.saqQuestion.questionText"></span>
                                </span>
                                </div>
                            </div>
                            <div class="d-flex">
                                <div class="col-6"><label>Comments</label>&nbsp;
                                </div>
                                <div class="col-6 p-0 popover-content">
                                <span class="popover-display" container="body" [ngbPopover]="popTemplate"
                                      popoverTitle="Comment" placement="top"
                                      triggers="mouseenter:mouseleave">
                                    <span>{{review.comments[review.comments.length-1]?.comment}}</span>
                                </span>
                                </div>
                            </div>
                            <div class="d-flex">
                                <div class="col-6"><label>Action</label>&nbsp;
                                </div>
                                <div class="col-6 pr-3">
                                    <jhi-button (click)="goToQuestion(review)" summary-edit>Edit</jhi-button>
                                </div>
                            </div>
                            <ng-template #questionTemplate>
                                <span [innerHTML]="review.saqQuestion.questionText"></span>
                            </ng-template>
                            <ng-template #popTemplate>
                                <ul *ngFor="let comments of review.comments">
                                    <li>{{comments.comment}}</li>
                                </ul>
                            </ng-template>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngIf="!reviewResponse?.length" class="m-5"><h4 class="no-records">No records to display</h4>
            </div>
        </div>
    </div>
    <div class="pull-right m-4 mt-5">
        <jhi-button summary-continue (click)="routeToNotification()">Continue ...</jhi-button>
    </div>
</div>
